System requirements for Rational Application Developer for WebSphere Software, Version 8.0.x

Detailed system requirements


Abstract

This document serves to supplement the installation and upgrade instructions by summarizing the system requirements for IBM System Requirements for Rational Application Developer for WebSphere Software, Version 8.0.x

Content





GLOSSARY:

Hardware: The hardware on which the product is supported.

Operating system: The operating system on which the product is supported.

RFE: Request for Enhancement. A change request focused on support for the platform or operating system.

VRMF: VRMF is the product release numbering format that is being implemented throughout the IBM and the Rational product lines. Review education document 7008656 for a explanation of the VRMF - Maintenance Delivery Vehicle (MDV) terminology used by Rational products.



Minimum hardware requirements

Rational Application Developer v8.0.x
Component Minimum Requirements
Processor 1 GHz or faster
Display 1024 x 768
Memory 2GB RAM
Disk space 3.5GB required for standard installation and development resources
(disk space can be reduced if optional features and runtimes are not installed)



Linux operating systems

Rational Application Developer v8.0.x
Hardware Operating system Comments
Dektop
x86-32
x86-64*
SUSE (SLED) Desktop 11
SUSE (SLED) Desktop 10
Ubuntu 10.4 LTS Ubuntu is currently not supported on:
WebSphere Application Server Test Environment (all versions)
WebPortal Portal Server (all versions)
Red Hat Desktop 5
Red Hat Desktop 6 Support added in March 2011 with version 8.0.2
Note a workaround is required to install Installation Manager RHEL 6.0 (64-bit)
See Technote 1459143 Unable to install Installation Manager on RHEL 6.0 (64-bit)
Server
x86-32
x86-64*
Red Hat Enterprise Server 6
Red Hat Enterprise Server 5
SUSE Enterprise Server 11
SUSE Enterprise Server 10
*64-bit support introduced in Version 8.0.3.
  • 1499482 Known problems and limitations to installing 64-bit Rational Application Developer 8.0.3
  • 1263677 for important details about support for 64-bit operating systems for Rational Application Developer 802 or earlier


Microsoft Windows operating systems

Rational Application Developer v8.0.x
Hardware Operating System Comments



x86-32
x86-64*
Windows 7
Professional, Enterprise, Ultimate Editions
Windows Vista
Professional, Enterprise, Ultimate Editions
Windows XP Professional Not supported on 64-bit Rational Application Developer 8.0.3
Windows Server 2003
Standard & Enterprise Editions
Deprecated. See technote: 7018968
Windows Server 2008
Standard & Enterprise Editions
*64-bit support introduced in Version 8.0.3.
  • 1499482 Known problems and limitations to installing 64-bit Rational Application Developer 8.0.3
  • 1263677 for important details about support for 64-bit operating systems for Rational Application Developer 802 or earlier


Hosted development environments

Rational Application Developer v8.0.x
Product Version Comments
Citrix XenApp 6
XenApp 5
Presentation Server 4.5
Presentation Server 4
Other virtualization environments:
* For information about support for Rational Application Developer on all other virtualization environments, see the following technote: 1515607


Eclipse runtime, installation and licensing requirements

Rational Application Developer v8.0.x
Product Version Comments
Eclipse 3.6.2 Rational Application Developer version 8.0.2 and greater
3.6.1 Rational Application Developer version 8.0.1
3.6.0 Rational Application Developer version 8.0
  • See technote 1443053 for more information about Installing into an existing Eclipse
Rational Installation Manager 1.4.4 minimum pre-req
Rational License Key Administrator & Server 8.1.2


Web browsers

Rational Application Developer v8.0.x
Web browser Version Comments
Firefox 8 and future releases
3.5
3
Internet Explorer 9 Minimum browser for 64-bit Rational Application Developer 8.0.3
technote: 1502701
8
7
6 SP1




Supported databases

Rational Application Developer v8.0.x
Database Version Comments
CloudScape 5.1
IBM DB2 Database for Linux, UNIX, and Windows 8.1
8.2
9.1
9.5
9.7
9.8
IBM DB2 for i5/OS 5R2
5R3
5R4
6.1
7.1
IBM DB2 for z/OS 7
V8 Compatibility and New Function Modes.
V9 Compatibility and New Function Modes.
The new function mode includes the generated data model that has all the new catalog features of DB2 for z/OS V8 and V9. Use the new function mode if you plan to work with the generated data models available in IBM Rational Software Delivery Platform products
V9.1
v10
Derby 10.0
10.1
10.2
10.3
10.5
Generic JDBC 1.0
Informix 9.2
9.3
9.4
10.0
11.1
11.5
11.7
MySQL 4.0
4.1
5.0
5.1
Oracle 8
9
10
11g
SQL Server 2000
2005
2008
Sybase 12.x
15
15.5
Microsoft SQL Server Enterprise V7
SAP MaxDB 7.6
7.7
HSQLDB 1.8


Runtime Environments for Java Technology

Rational Application Developer v8.0.x
Product Version Comments
IBM Runtime Environment for Java Technology Edition Version 6 6.0
Oracle JRE 6.0 Important: If you install the product into an existing Eclipse instance that does not use the IBM Runtime Environment for Java Technology Edition Version 6 , then you cannot use the following product features:
- WebSphere Application Server development tool
- WebSphere Portal Server development tools
- Java EE Connector (J2C/JCA) development tools


Supported application servers

Rational Application Developer v8.0.x
Product Version Comments
WebSphere Application Server 6.0.x 6.0.x
Feature Pack for Web 2.0 WEB 2.0 FEP overview
WebSphere Application Server 6.1.x 6.1.x
Feature Pack for Web 2.0 WEB 2.0 FEP overview
Feature Pack for Web Services WS FEP overview
Feature Pack for EJB 3.0 EJB 3.0 overview
WebSphere Application Server 7.0 7.x
Feature Pack for Web 2.0 WEB 2.0 FEP overview
Feature Pack for Communications Enabled Applications CEA FEP overview
Feature Pack for OSGi Applications and Java Persistence API 2.0 OSGI and JPA 2 FEP overview
Feature Pack for XML XML FEP overview
Feature Pack for Service Component Architecture SCA FEP overview
Feature Pack for Modern Batch Supported on Rational Application Developer v801 and later
Modern Batch FEP overview
WebSphere Application Server 8.0 8.x Supported on Rational Application Developer v803 and later
** An ease-of-use limitation exists for non-root users who create profiles (see details)
WebSphere Portal Server 6.1
6.1.5
7.0.0.x Supported on Rational Application Developer v801 and later
IBM Workload Deployer 3.0 and 3.0.0.1 Supported on Rational Application Developer v803 and later
WebSphere Extended Deployment Compute Grid 8.0 Supported on Rational Application Developer V803 and only supports on an existing installation of WebSphere Application Server V8.0 or unmanaged (stand-alone) WebSphere Application Server Network Deployment V8.0


Supported integrations

Rational Application Developer v8.0.x
Product Version Comments
Software configuration management
Rational ClearCase 7.1.1.x
7.1.2.x
8.0.x
Rational Team Concert 2.0.0.2
3.0.x
4.0.x
Requirements management
Rational Requisite Pro 7.1.x
Change management software
Rational ClearQuest 7.1.x
8.0.x
Rational Team Concert 2.0.0.2
3.0.x
4.0.x
CVS 1.11.2 to 1.11.22
1.12.13
CVSNT 2.0.58b to 2.5.03 (4)
*64-bit support introduced in Version 8.0.3 but not all integration are supported on 64-bit Rational Application Developer at this time
  • 1499482 Known problems and limitations to installing 64-bit Rational Application Developer 8.0.3

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Application Developer for WebSphere Software
General Information

Software version:

8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4

Operating system(s):

Linux, Windows

Reference #:

7019500

Modified date:

2011-06-17

Translate my page

Machine Translation

Content navigation